Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class PortalPersonalizationBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean
            |
            +--com.beasys.portal.ejb.PortalPersonalizationBean

Direct Known Subclasses:
  GroupPersonalizationBean

public class PortalPersonalizationBean
extends BaseBean

The EJB implementation of the PortalPersonalization.

See Also:
  Serialized Form

Field Summary
`boolean` | `available` Is the portlet available?
`java.lang.String` | `categoryName` The category name.
`int` | `column` What is the column of the portlet?
`boolean` | `editable` Is the portlet editable?
`boolean` | `floatable` Is the portlet floatable?
`boolean` | `mandatory` Is the portlet mandatory?
`boolean` | `maximizeable` Is the portlet maximizeable?
`boolean` | `minimizeable` Is the portlet minimizeable?
`boolean` | `minimized` Is the porlet minimized?
`boolean` | `moveable` Is the portlet moveable?
`java.lang.String` | `portalName` The portal name.
`java.lang.String` | `portletName` The portlet name.
`int` | `row` What is the row of the portlet?
`boolean` | `visible` Is the portlet visible?

Fields inherited from class com.beasys.portal.ejb.BaseBean
`ctx, isModified`

Constructor Summary
`PortalPersonalizationBean()`

Method Summary
`void` | `ejbCreate(PortalPersonalizationPK pk)` Ejb create.
`void` | `ejbPostCreate(PortalPersonalizationPK pk)` Ejb post create.
`java.lang.String` | `getCategoryName()` Get category name.
`int` | `getColumn()` Get column.
`java.lang.String` | `getPortalName()` Get portal name.
`java.lang.String` | `getPortletName()` Get portlet name.
`int` | `getRow()` Get row.
`boolean` | `isAvailable()` Is the portlet available?
`boolean` | `isEditable()` Is the portlet editable?
`boolean` | `isFloatable()` Is the portlet floatable?
`boolean` | `isMandatory()` Is the portlet mandatory?
`boolean` | `isMaximizeable()` Is the portlet maximizeable?
`boolean` | `isMinimizeable()` Is the portlet minimizeable?
`boolean` | `isMinimized()` Is the portlet minimized?
`boolean` | `isMoveable()` Is the portlet moveable?
`boolean` | `isVisible()` Is the portlet visible?
`void` | `setAvailable(boolean aBool)` Set available.
`void` | `setColumn(int aPos)` Set column.
`void` | `setEditable(boolean aBool)` Set editable.
`void` | `setFloatable(boolean aBool)` Set floatable.
`void` | `setMandatory(boolean aBool)` Set mandatory.
`void` | `setMaximizeable(boolean aBool)` Set maximizeable.
`void` | `setMinimizeable(boolean aBool)` Set minimizeable.
`void` | `setMinimized(boolean aBool)` Set minimized.
`void` | `setMoveable(boolean aBool)` Set moveable.
`void` | `setRow(int aPos)` Set row.
`void` | `setVisible(boolean aBool)` Set visible.

Methods inherited from class com.beasys.portal.ejb.BaseBean
`ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portalName

    public java.lang.String portalName

  The portal name.

### categoryName

    public java.lang.String categoryName

  The category name.

### portletName

    public java.lang.String portletName

  The portlet name.

### available

    public boolean available

  Is the portlet available?

### mandatory

    public boolean mandatory

  Is the portlet mandatory?

### editable

    public boolean editable

  Is the portlet editable?

### moveable

    public boolean moveable

  Is the portlet moveable?

### minimizeable

    public boolean minimizeable

  Is the portlet minimizeable?

### maximizeable

    public boolean maximizeable

  Is the portlet maximizeable?

### floatable

    public boolean floatable

  Is the portlet floatable?

### visible

    public boolean visible

  Is the portlet visible?

### row

    public int row

  What is the row of the portlet?

### column

    public int column

  What is the column of the portlet?

### minimized

    public boolean minimized

  Is the porlet minimized?

Constructor Detail

### PortalPersonalizationBean

    public PortalPersonalizationBean()

Method Detail

### ejbCreate

    public void ejbCreate(PortalPersonalizationPK pk)
                   throws javax.ejb.CreateException,
                          java.rmi.RemoteException

  Ejb create.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### ejbPostCreate

    public void ejbPostCreate(PortalPersonalizationPK pk)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Ejb post create. ignored.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Returns:
    `String` the portal.

### getCategoryName

    public java.lang.String getCategoryName()

  Get category name.
  Returns:
    `String` the category.

### getPortletName

    public java.lang.String getPortletName()

  Get portlet name.
  Returns:
    `String` the portlet name.

### isAvailable

    public boolean isAvailable()

  Is the portlet available?
  Returns:
    `boolean` yes/no.

### setAvailable

    public void setAvailable(boolean aBool)

  Set available.
  Parameters:
    `aBool` - yes/no.

### isMandatory

    public boolean isMandatory()

  Is the portlet mandatory?
  Returns:
    `boolean` yes/no.

### setMandatory

    public void setMandatory(boolean aBool)

  Set mandatory.
  Parameters:
    `aBool` - yes/no.

### isMoveable

    public boolean isMoveable()

  Is the portlet moveable?
  Returns:
    `boolean`

### setMoveable

    public void setMoveable(boolean aBool)

  Set moveable.
  Parameters:
    `aBool` - yes/no.

### isMinimizeable

    public boolean isMinimizeable()

  Is the portlet minimizeable?
  Returns:
    `boolean` yes/no.

### setMinimizeable

    public void setMinimizeable(boolean aBool)

  Set minimizeable.
  Parameters:
    `aBool` - yes/no.

### isMaximizeable

    public boolean isMaximizeable()

  Is the portlet maximizeable?
  Returns:
    `boolean` yes/no.

### setMaximizeable

    public void setMaximizeable(boolean aBool)

  Set maximizeable.
  Parameters:
    `aBool` - yes/no.

### isFloatable

    public boolean isFloatable()

  Is the portlet floatable?
  Returns:
    `boolean` yes/no.

### setFloatable

    public void setFloatable(boolean aBool)

  Set floatable.
  Parameters:
    `aBool` - yes/no.

### isVisible

    public boolean isVisible()

  Is the portlet visible?
  Returns:
    `boolean` yes/no.

### setVisible

    public void setVisible(boolean aBool)

  Set visible.
  Parameters:
    `aBool` - yes/no.

### getRow

    public int getRow()

  Get row.
  Returns:
    `int` the row.

### setRow

    public void setRow(int aPos)

  Set row.
  Parameters:
    `aPos` - the row.

### getColumn

    public int getColumn()

  Get column.
  Returns:
    `int` the column.

### setColumn

    public void setColumn(int aPos)

  Set column.
  Parameters:
    `aPos` - the column.

### setMinimized

    public void setMinimized(boolean aBool)

  Set minimized.
  Parameters:
    `aBool` - yes/no.

### isMinimized

    public boolean isMinimized()

  Is the portlet minimized?
  Returns:
    `boolean` yes/no.

### setEditable

    public void setEditable(boolean aBool)

  Set editable.
  Parameters:
    `aBool` - yes/no.

### isEditable

    public boolean isEditable()

  Is the portlet editable?
  Returns:
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved